package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CustomerServiceReply;

/**
 * 客服回复规则Mapper接口
 * 
 * @author ruoyi
 * @date 2024-01-01
 */
public interface CustomerServiceReplyMapper 
{
    /**
     * 查询客服回复规则
     * 
     * @param id 客服回复规则主键
     * @return 客服回复规则
     */
    public CustomerServiceReply selectCustomerServiceReplyById(Long id);

    /**
     * 查询客服回复规则列表
     * 
     * @param customerServiceReply 客服回复规则
     * @return 客服回复规则集合
     */
    public List<CustomerServiceReply> selectCustomerServiceReplyList(CustomerServiceReply customerServiceReply);

    /**
     * 根据关键字查询回复
     * 
     * @param keyword 关键字
     * @return 客服回复规则集合
     */
    public List<CustomerServiceReply> selectCustomerServiceReplyByKeyword(String keyword);

    /**
     * 获取默认回复
     * 
     * @return 默认回复
     */
    public CustomerServiceReply selectDefaultReply();

    /**
     * 新增客服回复规则
     * 
     * @param customerServiceReply 客服回复规则
     * @return 结果
     */
    public int insertCustomerServiceReply(CustomerServiceReply customerServiceReply);

    /**
     * 修改客服回复规则
     * 
     * @param customerServiceReply 客服回复规则
     * @return 结果
     */
    public int updateCustomerServiceReply(CustomerServiceReply customerServiceReply);

    /**
     * 删除客服回复规则
     * 
     * @param id 客服回复规则主键
     * @return 结果
     */
    public int deleteCustomerServiceReplyById(Long id);

    /**
     * 批量删除客服回复规则
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustomerServiceReplyByIds(Long[] ids);
} 